/*

Neo Red
#d7233c;

Main Font
Poppins

*/

/* parent div, everything below is inside this class */
.configurator {
  display: flex;
  height: 100%;
  position: relative;
}

/* buttons // width and height is temp fix */
.c-button {
  display: inline-block;
  padding: 8px 30px;
  border: 1px solid #d7233c;
  background-color: #d7233c;
  color: #fff;
  font-size: 14px !important;
  font-weight: 700;
  text-transform: uppercase;
  text-align: center;
  font-family: 'Poppins', sans-serif;
  margin: 4px;
  width: auto;
  cursor: pointer;
}
.c-button:hover {
  background-color: #fff;
  color: #d7233c;
}
.c-button.c-button-secondary {
  background-color: #fff;
  color: #d7233c;
}
.c-button.c-button.c-button-secondary:hover {
  background-color: #d7233c;
  color: #fff;
}

/* ////////////////////////////////// */

/* left panel */
.c-left-panel {
  /* width should probably be reworked */
  max-width: 340px;
  height: 100%;
  width: 100%;
  border-right: 2px solid #f2f2f2;
  padding: 30px

}
.c-thumbnail {
  /* this is placeholder */
  height: 150px;
  width: 100%;
  background-color: #f2f2f2;

}

.c-series-title {
  font-family: 'Poppins', sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  cursor: pointer;
}
.c-series-icon {
  background-color: #d7233c;
  color: #fff;
  font-family: monospace;
  font-size: 12px;
  border-radius: 30px;
  padding: 0 3px;
  position: relative;
  top: -2px;
  margin-left: 2px;
  transition: 200ms all;
  border: 1px solid #d7233c;
}
.c-series-title:hover .c-series-icon {
  background: #fff;
  color: #d7233c;
}

/* form labels use this */
.c-form-label {
  font-family: 'Poppins', sans-serif;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 600;
  margin-bottom: 7px;
}

/* left panel input fields */
.configurator select,
.configurator input {
  height: 47px;
  border: 1px solid transparent;
  box-shadow: 0px 0px 9px rgba(35, 31, 32, 0.09);
  border-radius: 4px;
  padding-left: 18px;
  /* dropdown arrow needs to be moved to the left */
  transition: box-shadow 200ms;
}
.configurator select:hover,
.configurator input:hover {
  box-shadow: 0px 0px 9px rgba(35, 31, 32, 0.19);
}
select#model {
  margin-bottom: 20px;
}
select#size {
  margin-bottom: 6px;
}
#dispArea3c {
  color: #d7233c;
  font-weight: bold;
}

.c-model-select,
.c-size-select {
  display: flex;
  flex-direction: column;
}

.c-width-height-container {
  display: flex;
  justify-content: space-between;
}

.c-width-input,
.c-height-input {
  display: flex;
  flex-direction: column;
  width: 48%;
}


/* ///////////////////////////// */

/* right panel */
.c-right-panel {
  width: calc(100% - 340px);
  max-width: 100%;
}
.c-right-panel-header {
	display: block;
    border-bottom: 0px solid #f2f2f2;
    justify-content: center;
    padding: 10px 0;
    display: inline-block;
}

.c-specs-container {
  text-align: center;
  margin-top: 35px;
  margin-bottom: 120px;
}
.c-specs {
  font-family: 'Poppins', sans-serif;
  color: #d7213d;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 700;
  cursor: pointer;
  transition: color 200ms;
}
.c-specs:hover {
  color:#780c1b;
}

.c-reference-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
.c-reference-screen {
  box-shadow: 0px 0px 9px rgba(35, 31, 32, 0.19);
  /* width and height needs to be adjusted based on input */
  width: 540px;
  height: 290px;
  background-size: cover;
  background-position: center;
  /* placeholder color */
  background-color: #1b466b;
  position: relative;
}

.c-reference-width p,
.c-reference-height p {
  margin: 0;
}

.c-reference-width,
.c-reference-height {
  background: white;
  font-size: 11px;
  font-family: 'Poppins', sans-serif;
  padding: 4px 6px;
  text-align: center;
}

.c-reference-width-container {
  position: absolute;
  top: -70px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  width: 100%;
}

/* line, needs arrows, probably refactor html to support it */
.c-reference-width-container:before {
  content: '';
  height: 1px;
  border-top: 1px solid black;
  width: 100%;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}

.c-reference-width {
  border: 1px solid black;
  display: inline-block;
  position: relative;
  z-index: 2;
}

.c-reference-height-container {
  position: absolute;
  top: 50%;
  right: -100px;
  transform: translateY(-50%);
  text-align: center;
  height: 100%;
}

.c-reference-height {
  border: 1px solid black;
  display: inline-block;
  position: relative;
  z-index: 2;
  top: 50%;
  transform: translateY(-50%);
}

/* line, needs arrows, probably refactor html to support it */
.c-reference-height-container:before {
  content: '';
  height: 100%;
  width: 1px;
  border-right: 1px solid black;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
}

div[class^='c-arrow-'] {
  position: absolute;
  width: 10px;
  height: 10px;
}
.c-arrow-up {
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  transform: rotate(225deg);
  left: calc(50% - 5px);
  top: 0;
}

.c-arrow-down {
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  transform: rotate(45deg);
  left: calc(50% - 5px);
  bottom: 0;
}

.c-arrow-right {
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  transform: rotate(-45deg);
  top: calc(50% - 5px);
  right: 0;
}

.c-arrow-left {
  border-right: 1px solid black;
  border-bottom: 1px solid black;
  transform: rotate(-225deg);
  top: calc(50% - 5px);
  left: 0;
}

/* display specs view */
.c-specs-view {
  padding: 0 20px 20px;
  max-width: 900px;
  margin-left: auto;
  margin-right: auto;
}
.c-specs-content {
  display: flex;
  flex-direction: row;
}
.c-specs-left {
  padding-right: 100px;

}
.c-specs-reference-screen {
  width: 300px;
  height: 160px;
  box-shadow: 0px 0px 9px rgb(35 31 32 / 19%);
  background-size: cover;
  background-position: center;
  background-color: #1b466b;
}
.c-specs-preview {
  display: flex;
  align-items: center;
  font-family: 'Poppins', sans-serif;
}
.c-specs-product-text {
  text-transform: uppercase;
}
.c-specs-product-name {
  margin-bottom: 0;
  font-size: 20px;

}
.c-specs-product-series {
  font-size: 10px;
  margin-top: 0;

}
.c-specs-right {}
.c-specs-display {
  columns: 2;
  column-gap: 80px;
  margin-bottom: 50px;
}
.c-specs-display ul {
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid;
  margin-bottom: 30px;

}
.c-specs-main-title {
  font-family: Poppins,sans-serif;
  font-size: 22px;
  font-weight: 600;
  color: #000;
  margin-top: 20px;
  margin-bottom: 50px;
  text-transform: uppercase;
}
.c-specs-title {
  font-family: Poppins,sans-serif;
  font-size: 14px;
  font-weight: 600;
  color: #000;
  margin-top: 0;
  margin-bottom: 10px;
  text-transform: uppercase;
}
.c-specs-right ul {
  padding-left: 0px;
  list-style: none;
  list-style-type: none;
  color: #000;
  font-size: 12px;
  line-height: 25px;
  font-family: 'Poppins', sans-serif;
}
.c-view {
  display: none;

}
.c-view.c-visible {
  display: flex;
}

ca-container {
  display: block;
  width: 100%;
  height: 100%;
}

ca-wrapper {
  display: block;
  width: 100%;
  height: auto;
  overflow: auto;
  padding-top: 160px;
  text-align: center;
}

ca-screen-bezel {
  display: inline-block;
  width: 100%;
  height: 100%;
  position: relative;
  margin: 100px;
  background: linear-gradient(135deg, #d7213d 0%, #610210 100%);
}

ca-video-wrapper {
  position:  absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: block;
  height: 0;
  width: 100%;
  padding: 0;
  z-index: -1;
}
ca-video-wrapper video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
}
ca-screen-rows {
  width: 100%;
}
ca-screen-columns {
  width: 100%;
  display: flex;
  flex-direction: row;
}

ca-screen {
  display: block;
  width: 1px;
  transition: all 0.5s ease;
}

ca-screen-fit {
  width: 100%;
  padding-bottom: 56.25%;
  display: block;
  /* panel border
  outline: solid 1px rgba(255,255,255,1);
  */
  z-index: 1;
}

ca-screen-bezel {
  /* img background */
  background: url('https://images.unsplash.com/photo-1610745318825-00cfee1982e0?crop=entropy&cs=srgb&fm=jpg&ixid=MXwxNDU4OXwwfDF8cmFuZG9tfHx8fHx8fHw&ixlib=rb-1.2.1&q=85');
  background-position: center center;
  background-size: cover;
  position: relative;
  z-index: 1;
}

ca-screen-bezel::before {
  position: absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  content: "";
  /* glare effect
  background: radial-gradient(at top, rgba(255,255,255,0.75) 0%, rgba(255,255,255,0) 50%); */
}

ca-kludge {
  display: none;
}

/* human for scale, wip */
ca-human {
  position: absolute;
  text-align: center;
}

video.fullscreen {
  position: absolute;
  object-fit: cover;
  width:100%;
  height:100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
}
video.fullscreen::-webkit-media-controls {
  display:none !important;
}
.not_active{
	display:none !important;
}
.selected-led-image img {
    width: 100px;
}


/* breakpoints */
@media only screen and (max-width: 480px){
  .products-page-container {
    padding: 10px;
  }
  .configurator {
    flex-direction: column;
  }
  .c-left-panel {
    border-right: none;
    padding: 10px;
  }
  ca-container {
    padding-right: 50px;
  }
  ca-screen-bezel {
    width: 100%;
    margin: 10px;
  }
}